export interface BashExecutionProps {
    readonly script: string;
    readonly workingDirectory?: string;
    readonly environment?: {
        [key: string]: string;
    };
}
/**
 * Simple helper class for executing shell scripts and commands
 */
export declare class ShellHelper {
    static version(command: string, args: string[]): string | null;
    static bashVersion(): string | null;
    static pythonVersion(): string | null;
    static nodeVersion(): string | null;
    static goVersion(): string | null;
    static dotnetVersion(): string | null;
    static checkDirectoryAccess(dir?: string): void;
    static executeBash(props: BashExecutionProps): boolean;
    static executeBashScript(props: BashExecutionProps): boolean;
}
